<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

require_once 'autoload.php';
require_once 'config_local.php';

Doctrine_Manager::connection($cfg['dburi']);
Doctrine::loadModels('classes');

$scheme='pcni_assistenciasocial';

echo "Importando orgãos emissores...\n";

$orgaos = array( 10 => 'SSP', 
	41 => 'Ministério da Aeronáutica',
	42 => 'Ministério do Exército',
	43 => 'Ministério da Marinha',
	44 => 'Polícia Federal',
	60 => 'Carteira de Ident. Clássica',
	61 => 'Cons. Reg. De Administração',
	62 => 'Cons. Reg. de Ass. Social',
	63 => 'Cons. Reg. de Biblioteconomia',
	64 => 'Cons. Reg. De Contabilidade',
	65 => 'Cons. Reg. de Corretores de Imóveis',
	66 => 'Cons. Reg. de Enfermagem',
	67 => 'Cons. Reg. de Engenharia, Arquitetura e Agronomia',
	68 => 'Cons. Reg. de Estatística',
	69 => 'Cons. Reg. de Farmácia',
	70 => 'Cons. Reg. de Fisioterapia e Terapia Ocupacional',
	71 => 'Cons. Reg. de Medicina',
	72 => 'Cons. Reg. de Med. Veterinária',
	73 => 'Cons. Reg. de Músicos do Brasil',
	74 => 'Cons. Reg. de Nutrição',
	75 => 'Cons. Reg. de Odontologia',

	76 => 'Cons. Reg. de Prof. Relações Públicas',
	77 => 'Cons. Reg. de Psicologia',
	78 => 'Cons. Reg. de Química',
	79 => 'Cons. Reg. de Repr. Comerciais',
	80 => 'Cons. Reg. de Advogados do Brasil',
	81 => 'Outros Emissores',
	82 => 'Documento Estrangeiro',
	83 => 'Cons. Reg. de Economia',
	40 => 'Organismo Militar ou Ministério da Defesa');

foreach($orgaos as $id => $nome)
{
	$cert = new OrgaoEmissor();
	$cert->id = $id;
	$cert->nome = $nome;
	$cert->save();
}


echo "Importando tipos de endereço variavel...\n";

$tipo_end_var = array(4 => 'Não, Abrigado Casa de Terceiros',
		 3 => 'Não, Abrigado Institucional',
		 2 => 'Não, Morador de Rua',
		 99 => 'Não, Nenhuma dos anteriores');

foreach($tipo_end_var as $id => $nome)
{
	$tipo = new TipoEnderecoVariavel();
	$tipo->id = $id;
	$tipo->nome = $nome;
	$tipo->save();
}


echo "Importando tipos de certidão...\n";

$tipos_certidao = array( 95 => 'Administrativa - Índio',
93 => 'Averbação de Divórcio', 92 => 'Casamento',
91 => 'Nascimento', 94 => 'Separação Judicial');

foreach($tipos_certidao as $id => $nome)
{
	$cert = new TipoCertidao();
	$cert->id = $id;
	$cert->nome = $nome;
	$cert->save();
}

echo "Importando sexo...\n";

$sexo = new Sexo();
$sexo->id = 'F';
$sexo->nome = 'Feminino';
$sexo->save();

$sexo = new Sexo();
$sexo->id = 'M';
$sexo->nome = 'Masculino';
$sexo->save();

$sexo = new CabcomumSexo();
$sexo->id = 'F';
$sexo->nome = 'Feminino';
$sexo->save();

$sexo = new CabcomumSexo();
$sexo->id = 'M';
$sexo->nome = 'Masculino';
$sexo->save();

echo "Importando ref sistema...\n";
$ref = new CabcomumRefSistema();
$ref->id = 2;
$ref->nome = 'Saúde';
$ref->save();

echo "Importando paises...\n";
$paises = array(
170 => 'ABISSÍNIA',
172 => 'AFAR FRANCES',
241 => 'AFEGANISTÃO',
93 => 'ALBÂNIA',
30 => 'ALEMANHA',
174 => 'ALTO VOLTA',
94 => 'ANDORRA',

175 => 'ANGOLA',
29 => 'ANTILHAS HOLANDESAS',
334 => 'ANTÁRTICA FRANCESA',
337 => 'ANTÁRTICO ARGENTINO',
333 => 'ANTÁRTICO BRITÂNICO, TERRITÓRIO',
336 => 'ANTÁRTICO CHILENO',
338 => 'ANTÁRTICO NORUEGUES',
28 => 'ANTÍGUA E. DEP. BARBUDA',
339 => 'APATRIDA',

21 => 'ARGENTINA',
176 => 'ARGÉLIA',
347 => 'ARMÊNIA',
289 => 'ARQUIPÉLAGO DE BISMARK',
285 => 'ARQUIPÉLAGO MANAHIKI',
286 => 'ARQUIPÉLAGO MIDWAY',
33 => 'ARUBA',
242 => 'ARÁBIA SAUDITA',
198 => 'ASCENSÃO E TRISTÃO DA CUNHA,IS',

287 => 'ASHMORE E CARTIER',
288 => 'AUSTRÁLIA',
138 => 'AZERBAIJÃO',
171 => 'AÇORES',
243 => 'BAHREIN',
342 => 'BANGLADESH',
44 => 'BARBADOS',
139 => 'BASHKISTA',
177 => 'BECHUANALÂNDIA',

46 => 'BELIZE',
178 => 'BENIN',
83 => 'BERMUDAS',
246 => 'BHUTAN',
244 => 'BIRMÂNIA',
22 => 'BOLÍVIA',
179 => 'BOTSUANA',
10 => 'BRASIL',
245 => 'BRUNEI',

96 => 'BULGÁRIA',
238 => 'BURKINA FASSO',
180 => 'BURUNDI',
141 => 'BURYAT',
31 => 'BÉLGICA',
134 => 'BÓSNIA HERZEGOVINA',
343 => 'CABO VERDE',
181 => 'CAMARÕES',
34 => 'CANADÁ',

142 => 'CARELIA',
247 => 'CATAR',
143 => 'CAZAQUISTÃO',
248 => 'CEILÃO',
182 => 'CEUTA E MELILLA',
183 => 'CHADE',
144 => 'CHECHEN INGUSTH',
23 => 'CHILE',
42 => 'CHINA',

249 => 'CHINA (TAIWAN)',
97 => 'CHIPRE',
145 => 'CHUVASH',
275 => 'CINGAPURA',
26 => 'COLÔMBIA',
40 => 'COMUNIDADE DAS BAHAMAS',
54 => 'COMUNIDADE DOMINICANA',
185 => 'CONGO',
43 => 'CORÉIA',

186 => 'COSTA DO MARFIM',
51 => 'COSTA RICA',
250 => 'COVEITE',
130 => 'CROÁCIA',
52 => 'CUBA',
53 => 'CURAÇAO',
146 => 'DAGESTA',
187 => 'DAOMÉ',
340 => 'DEPENDÊNCIA DE ROSS',

98 => 'DINAMARCA',
188 => 'DJIBUTI',
99 => 'EIRE',
251 => 'EMIRADOS ÁRABES UNIDOS',
27 => 'EQUADOR',
100 => 'ESCÓCIA',
136 => 'ESLOVÁQUIA',
132 => 'ESLOVÊNIA',
35 => 'ESPANHA',

129 => 'ESTADO DA CIDADE DO VATICANO',
57 => 'ESTADOS ASSOC. DAS ANTILHAS',
36 => 'ESTADOS UNIDOS DA AMÉRICA (EUA)',
147 => 'ESTÔNIA',
190 => 'ETIÓPIA',
252 => 'FILIPINAS',
102 => 'FINLÂNDIA',
37 => 'FRANÇA',
193 => 'GANA',

194 => 'GAZA',
148 => 'GEÓRGIA',
103 => 'GIBRALTAR',
149 => 'GORNO ALTAI',
59 => 'GRANADA',
84 => 'GROENLÂNDIA',
32 => 'GRÃ',
104 => 'GRÉCIA',
292 => 'GUAM',

61 => 'GUATEMALA',
87 => 'GUIANA FRANCESA',
195 => 'GUINÉ',
344 => 'GUINÉ BISSAU',
196 => 'GUINÉ EQUATORIAL',
192 => 'GÂMBIA',
105 => 'HOLANDA',
64 => 'HONDURAS',
63 => 'HONDURAS BRITÂNICAS',

253 => 'HONG',
106 => 'HUNGRIA',
254 => 'IEMEN',
345 => 'IEMEN DO SUL',
197 => 'IFNI',
300 => 'ILHA JOHNSTON E SAND',
69 => 'ILHA MILHOS',
293 => 'ILHAS BAKER',
107 => 'ILHAS BALEARES',

294 => 'ILHAS CANTÃO E ENDERBURG',
199 => 'ILHAS CANÁRIAS',
295 => 'ILHAS CAROLINAS',
297 => 'ILHAS CHRISTMAS',
184 => 'ILHAS COMORES',
290 => 'ILHAS COOK',
108 => 'ILHAS COSMOLEDO (LOMORES)',
117 => 'ILHAS DE MAN',
109 => 'ILHAS DO CANAL',

296 => 'ILHAS DO PACÍFICO',
58 => 'ILHAS FALKLANDS',
101 => 'ILHAS FAROES',
298 => 'ILHAS GILBERT',
60 => 'ILHAS GUADALUPE',
299 => 'ILHAS HOWLAND E JARVIS',
301 => 'ILHAS KINGMAN REEF',
313 => 'ILHAS LINHA',
305 => 'ILHAS MACDONAL E HEARD',

302 => 'ILHAS MACQUAIRE',
67 => 'ILHAS MALVINAS',
303 => 'ILHAS MARIANAS',
304 => 'ILHAS MARSHALL',
306 => 'ILHAS NIUE',
307 => 'ILHAS NORFOLK',
315 => 'ILHAS NOVA CALEDÔNIA',
318 => 'ILHAS NOVAS HEBRIDAS',
308 => 'ILHAS PALAU',

321 => 'ILHAS PITCAIRIN',
320 => 'ILHAS PÁSCOA',
309 => 'ILHAS SALOMÃO',
326 => 'ILHAS SANTA CRUZ',
65 => 'ILHAS SERRANAS',
310 => 'ILHAS TOKELAU',
80 => 'ILHAS TURCA',
47 => 'ILHAS TURKS E CAICOS',
82 => 'ILHAS VIRGENS AMERICANAS',

81 => 'ILHAS VIRGENS BRITÂNICAS',
311 => 'ILHAS WAKE',
332 => 'ILHAS WALLIS E FUTUNA',
256 => 'INDONÉSIA',
110 => 'INGLATERRA',
258 => 'IRAQUE',
112 => 'IRLANDA',
111 => 'IRLANDA DO NORTE',
257 => 'IRÃ',

113 => 'ISLÂNDIA',
259 => 'ISRAEL',
39 => 'ITÁLIA',
114 => 'IUGOSLÁVIA',
66 => 'JAMAICA',
41 => 'JAPÃO',
260 => 'JORDÂNIA',
150 => 'KABARDINO BALKAR',
312 => 'KALIMATAN',

151 => 'KALMIR',
346 => 'KARA KALPAK',
152 => 'KARACHAEVOCHERKESS',
153 => 'KHAKASS',
261 => 'KMER/CAMBOJA',
154 => 'KOMI',
262 => 'KUWAIT',
263 => 'LAOS',
200 => 'LESOTO',

155 => 'LETÔNIA',
201 => 'LIBÉRIA',
115 => 'LIECHTENSTEIN',
156 => 'LITUÂNIA',
116 => 'LUXEMBURGO',
264 => 'LÍBANO',
202 => 'LÍBIA',
265 => 'MACAU',
205 => 'MADAGASCAR',

203 => 'MADEIRA',
204 => 'MALAWI',
267 => 'MALDIVAS,IS',
206 => 'MALI',
266 => 'MALÁSIA',
157 => 'MARI',
207 => 'MARROCOS',
68 => 'MARTINICA',
268 => 'MASCATE',

209 => 'MAURITÂNIA',
208 => 'MAURÍCIO',
284 => 'MIANMA',
158 => 'MOLDÁVIA',
269 => 'MONGÓLIA',
70 => 'MONTE SERRAT',
137 => 'MONTENEGRO',
210 => 'MOÇAMBIQUE',
85 => 'MÉXICO',

118 => 'MÔNACO',
240 => 'NAMÍBIA',
314 => 'NAURU',
255 => 'NDIA',
270 => 'NEPAL',
211 => 'NGUANE',
71 => 'NICARÁGUA',
213 => 'NIGÉRIA',
119 => 'NORUEGA',

316 => 'NOVA GUINÉ',
317 => 'NOVA ZELÂNDIA',
271 => 'OMAN',
159 => 'OSSETIA SETENTRIONAL',
999 => 'OUTRA NACIONALIDADE',
272 => 'PALESTINA',
72 => 'PANAMÁ',
73 => 'PANAMÁ ZONA DO CANAL',
214 => 'PAPUA NOVA GUINÉ',

273 => 'PAQUISTÃO',
24 => 'PARAGUAI',
121 => 'PAÍS DE GALES',
122 => 'PAÍSES BAIXOS',
89 => 'PERU',
322 => 'POLINÉSIA FRANCESA',
123 => 'POLÔNIA',
74 => 'PORTO RICO',
45 => 'PORTUGAL',

215 => 'PRAÇAS NORTE AFRICANAS',
216 => 'PROTETOR DO SUDOESTE AFRICANO',
160 => 'QUIRGUISTÃO',
75 => 'QUITASUENO',
217 => 'QUÊNIA',
218 => 'REPÚBLICA CENTRO AFRICANA',
140 => 'REPÚBLICA DA BIELORRÚSSIA',
133 => 'REPÚBLICA DA MACEDÔNIA',
173 => 'REPÚBLICA DA ÁFRICA DO SUL',

56 => 'REPÚBLICA DE EL SALVADOR',
291 => 'REPÚBLICA DE FIJI',
120 => 'REPÚBLICA DE MALTA',
191 => 'REPÚBLICA DO GABÃO',
62 => 'REPÚBLICA DO HAITI',
212 => 'REPÚBLICA DO NÍGER',
55 => 'REPÚBLICA DOMINICANA',
88 => 'REPÚBLICA GUIANA',
135 => 'REPÚBLICA TCHECA',

189 => 'REPÚBLICA ÁRABE DO EGITO',
219 => 'REUNIÃO',
220 => 'RODÉSIA (ZIMBÁBWE)',
124 => 'ROMÊNIA',
76 => 'RONCADOR',
221 => 'RUANDA',
274 => 'RUIQUIU, ILHA',
348 => 'RÚSSIA',
222 => 'SAARA ESPANHOL',

323 => 'SABAH',
324 => 'SAMOA AMERICANA',
325 => 'SAMOA OCIDENTAL',
223 => 'SANTA HELENA',
77 => 'SANTA LÚCIA',
327 => 'SARAWAK',
349 => 'SENEGAL',
276 => 'SEQUIN',
226 => 'SERRA LEOA',

225 => 'SEYCHELLES',
227 => 'SOMÁLIA, REPÚBLICA',
278 => 'SRI',
86 => 'ST. PIERRE ET MIQUELON',
228 => 'SUAZILÂNDIA',
229 => 'SUDÃO',
90 => 'SURINAME',
126 => 'SUÉCIA',
38 => 'SUÍÇA',

127 => 'SVALBARD E JAN MAYER,ILHAS',
125 => 'SÃN MARINO',
78 => 'SÃO CRISTÓVÃO',
224 => 'SÃO TOMÉ E PRÍNCIPE',
79 => 'SÃO VICENTE',
131 => 'SÉRVIA',
277 => 'SÍRIA',
161 => 'TADJIQUISTÃO',
279 => 'TAILÂNDIA',

230 => 'TANGANICA',
350 => 'TANZÂNIA',
162 => 'TARTARIA',
128 => 'TCHECOSLOVÁQUIA',
335 => 'TERR. ANTÁRTICO DA AUSTRÁLIA',
341 => 'TERRAS AUSTRAIS',
231 => 'TERRIT. BRITÂNICO DO OCEANO ÍNDICO',
328 => 'TERRITÓRIO DE COCOS',
319 => 'TERRITÓRIO DE PAPUA',

329 => 'TIMOR',
233 => 'TOGO',
330 => 'TONGA',
232 => 'TRANSKEI',
91 => 'TRINIDAD E TOBAGO',
280 => 'TRÉGUA, ESTADO',
234 => 'TUNÍSIA',
163 => 'TURCOMENISTÃO',
281 => 'TURQUIA',

331 => 'TUVALU',
164 => 'TUVIN',
165 => 'UCRÂNIA',
166 => 'UDMURT',
235 => 'UGANDA',
167 => 'UNIÃO SOVIÉTICA',
25 => 'URUGUAI',
95 => 'USTRIA',
168 => 'UZBEQUISTÃO',

92 => 'VENEZUELA',
282 => 'VIETNÃ DO NORTE',
283 => 'VIETNÃ DO SUL',
169 => 'YAKUT',
236 => 'ZAIRE',
239 => 'ZIMBÁBWE',
237 => 'ZÂMBIA');

foreach($paises as $id => $nome)
{
	$pais = new Pais();
	$pais->id = $id;
	$pais->nome = $nome;
	$pais->save();
}

$estados = array(
12 => array('AC' => 'Acre'),
27 => array('AL' => 'Alagoas'),

13 => array('AM' => 'Amazônia'),
16 => array('AP' => 'Amapá'),
29 => array('BA' => 'Bahia'),
23 => array('CE' => 'Ceará'),
53 => array('DF' => 'Distrito Federal'),
32 => array('ES' => 'Espirito Santo'),
52 => array('GO' => 'Goiás'),
21 => array('MA' => 'Maranhão'),
31 => array('MG' => 'Minas Gerais'),

50 => array('MS' => 'Mato Grosso do Sul'),
51 => array('MT' => 'Mato Grosso'),
15 => array('PA' => 'Pará'),
25 => array('PB' => 'Paraiba'),
26 => array('PE' => 'Pernambuco'),
22 => array('PI' => 'Piauí'),
41 => array('PR' => 'Paraná'),
33 => array('RJ' => 'Rio de Janeiro'),
24 => array('RN' => 'Rio Grande do Norte'),

11 => array('RO' => 'Rondônia'),
14 => array('RR' => 'Roraima'),
43 => array('RS' => 'Rio Grande do Sul'),
42 => array('SC' => 'Santa Catarina'),
28 => array('SE' => 'Sergipe'),
35 => array('SP' => 'São Paulo'),
17 => array('TO' => 'Tocantins'));

foreach($estados as $id => $nome)
{
	$estado = new Estado();
	$estado->id = $id;
	$estado->sigla = key($nome);
	$estado->nome = current($nome);
	$estado->save();
}


echo "Importando municipios...\n";

$muni = new Municipio;
$muni->id = 330350;
$muni->idestado = ID_RIO_DE_JANEIRO;
$muni->nome = 'Nova Iguaçu';
$muni->save();

echo "Importando logradouros...\n";
//`psql semaspv -c "COPY $scheme.tipologradouro (tipologradourogeoiguacu, abreviaturatipologradourogeoiguacu) TO STDOUT" | psql cadusa -c "COPY tipo_logradouro (id, abreviatura) FROM STDIN"`;

$tipos_logr = array(1 => 'AL',
2 => 'AV',

3 => 'BC',
4 => 'CAM',
5 => 'EST',
6 => 'PC',
7 => 'ROD',
8 => 'RUA',
9 => 'SERV',
10 => 'TRV',
11 => 'VIA',

12 => 'VL');

foreach($tipos_logr as $id => $nome)
{
	$tipo = new TipoLogradouro();
	$tipo->id = $id;
	$tipo->abreviatura = $nome;
	$tipo->save();
}



echo "Importando geoiguacu...\n";

echo "Importando cor/raca...\n";

$racas = array(
1 => 'Branca',
2 => 'Preta',
3 => 'Parda',
4 => 'Amarela',
5 => 'Indigena',
6 => 'Não Declarada');

foreach($racas as $id => $nome)
{
	$raca = new Raca();
	$raca->id = $id;
	$raca->nome = $nome;
	$raca->save();

	$raca = new CabcomumRaca();
	$raca->id = $id;
	$raca->nome = $nome;
	$raca->save();
}

echo "Populando tipos de usuário...\n";
$values = array(TipoUsuario::ADMINISTRADOR => 'Administrador',
	            TipoUsuario::OPERADOR => 'Operador',
				TipoUsuario::SUPERVISOR => 'Supervisor');
foreach($values as $id => $desc)
{
	$tipo = new TipoUsuario();
	$tipo->id = $id;
	$tipo->nome = $desc;
	$tipo->save();
}

echo "Populando tipos de unidade...\n";
$values = array(TipoUnidade::SAUDE => 'Saúde',
	            TipoUnidade::CRAS => 'Assistência Social');
foreach($values as $id => $desc)
{
	$tipo = new TipoUnidade();
	$tipo->id = $id;
	$tipo->nome = $desc;
	$tipo->save();
}

echo "Populando tipos de telefone...\n";
$values = array(TipoTelefone::RESIDENCIAL => 'Residencial',
			    TipoTelefone::CELULAR => 'Celular',
			    TipoTelefone::RECADO => 'Recado',
			    TipoTelefone::TRABALHO => 'Trabalho');
foreach($values as $id => $desc)
{
	$tipo = new TipoTelefone();
	$tipo->id = $id;
	$tipo->nome = $desc;
	$tipo->save();
}

echo "Populando tipos de endereço...\n";
$values = array(TipoEndereco::RESIDENCIAL => 'Residencial',
			    TipoEndereco::CORRESPONDENCIA => 'Correspondência',
			    TipoEndereco::TRABALHO => 'Trabalho');
foreach($values as $id => $desc)
{
	$tipo = new TipoEndereco();
	$tipo->id = $id;
	$tipo->nome = $desc;
	$tipo->save();
}

echo "Populando escolaridade...\n";

$values = array(1 => 'Não sabe ler/escrever',
	            2 => 'Alfabetizado',
				3 => 'Fundamental incompleto (1º grau incompleto)',
				4 => 'Fundamental completo (1º grau completo)',
				5 => 'Médio incompleto (2º grau incompleto)',
				6 => 'Médio completo (2º grau completo)',
				7 => 'Superior incompleto',
				8 => 'Superior completo',
				9 => 'Especialização / Residência',
				10 => 'Mestrado',
				11 => 'Doutorado');
foreach($values as $id => $desc)
{
	$esc = new Escolaridade();
	$esc->id = $id;
	$esc->nome = $desc;
	$esc->save();
}

echo "Populando programas de saúde...\n";
$values = array('Estratégia de Saúde da Família',
				'Diabetes Mellitus',
				'Doenças Crônicas Transmissíveis',
				'Pré-Natal',
				'Planejamento Familiar',
				'Prevenção do Câncer Ginecológico',
				'Acompanhamento de Menores até 2 Anos',
				'Saúde do Escolar',
				'Saúde do Idoso',
				'Hipertensão Arterial',
				'DST',
				'Tuberculose',
				'Hanseníase',
				'Anemia Falciforme');
foreach($values as $id => $desc)
{
	$prog = new Programa();
	$prog->nome = $desc;
	$prog->save();
}

echo "Populando motivos de comparecimento...\n";
$values = array( 1 => 'Marcar Procedimentos - Consulta Médica',
	             2 => 'Marcar Procedimentos - Outras Consultas',
	             3 => 'Marcar Procedimentos - Exames',
	             4 => 'Marcar Procedimentos - Outras Marcações',
	             5 => 'Visita para Consulta - Consulta Médica',
	             6 => 'Visita para Consulta - Enfermeiro',
	             7 => 'Visita para Consulta - Outros Profissionais',
	             8 => 'Motivo da Consulta - Emergência',
	             9 => 'Motivo da Consulta - Agendada',
	             22 => 'Motivo da Consulta - Revisão Pós Alta Hospitalar',
	            10 => 'Motivo da Consulta - Outros',
	            11 => 'Tomar Vacinas',
	            12 => 'Fazer Curativo',
	            13 => 'Farmácia - Retirar Medicamentos',
	            14 => 'Farmácia - Retirar Métodos Contraceptivos',
	            15 => 'Farmácia - Outros',
	            16 => 'Fazer Exames - Exames',
	            17 => 'Fazer Exames - Coleta ou Realização',
	            18 => 'Fazer Exames - Apanhar Resultados',
				28 => 'Procedimentos - Realização',
				29 => 'Procedimentos - Apanhar Resultados',
	            23 => 'Internações - Hospital Dia',
	            24 => 'Internações - Clínica Médica',
	            25 => 'Internações - Obstetrícia',
	            26 => 'Internações - Pediatria',
	            27 => 'Internações - Terapia Intensiva',
	            19 => 'Reclamações',
	            20 => 'Outros Procedimentos',
	            21 => 'Doar Sangue');
foreach($values as $id => $desc)
{
	$mot = new Motivo();
	$mot->id = $id;
	$mot->nome = $desc;
	$mot->save();
}

echo "Populando unidades de saúde...\n";

$fd = fopen('tools/redes_saude.csv','r');
if(!$fd)
	throw new Exception('Erro ao abrir tools/redes_saude.csv');

while($dado = fgetcsv($fd))
{
	$u = new Unidade();
	$u->nome_fantasia = $dado[0];
	$u->codigo = $dado[1];
	$u->idtipo = TipoUnidade::SAUDE;
	$u->idmunicipio = 330350;

	$u->logradouro = trim(strtok($dado[2],',-')) . '-' . trim(strtok(',-'));
	$u->bairro = trim(strtok(',-'));
	if(strncmp($u->bairro,'KM',2) == 0)
		$u->bairro = NULL;

	$u->save();
}
fclose($fd);

echo "Populando grupos...\n";

$fd = fopen('tools/cbos.csv','r');
if(!$fd)
	throw new Exception('Erro ao abrir tools/cbos.csv');

$grupos = array();

while($dado = fgetcsv($fd))
{
	if(strchr($dado[0],'.'))
		continue;

	$g = new GrupoOcupacao();
	$g->nome = $dado[1];
	$g->save();
	$grupos[$dado[0]] = $g;
}

fseek($fd,0);

echo "Populando ocupações...\n";

while($dado = fgetcsv($fd))
{
	if(!strchr($dado[0],'.'))
		continue;

	$idgrupo = substr($dado[0],0,4);

	$o = new Ocupacao();
	$o->nome = $dado[1];
	if(isset($grupos[$idgrupo]))
	{
		$idgrupo = $grupos[$idgrupo]->id;
		$o->idgrupo = $idgrupo;
	}

	$o->save();
}

echo "OK\n";

?>

